


.project_image {
  width: 100%;
  margin: auto;
}
.header_image {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.footer_image {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}


.header_grid {
  display: grid;

  grid-template-rows: 1.2vw 2vw 1vw 0.1vw;
  grid-template-columns: 1vw 1fr 1fr 1fr 1fr 1fr 1fr 1vw;

  gap: 1vh;
  height: 100%;

  max-width: 100%;

  background-color: #ffffff;
}
#menu_items {
  grid-column-start: 2;
  grid-column-end: 7;

  grid-row-start: 2;
  grid-row-end: 2;

  display: flex;
  gap: 1vw;
}
#menu_line {
  grid-column-start: 1;
  grid-column-end: 9;

  grid-row-start: 4;
  grid-row-end: 4;

  background-color: #1c1c1c;
}
#name {
  grid-column-start: 7;
  grid-column-end: 8;

  grid-row-start: 2;
  grid-row-end: 2;
}


.project_grid {
  display: block;
}
#project_header {
  display: block;
  height: 8vw;

  margin-top: 3vw;
  padding-left: 1vw;
}
#project {
  padding: 1vw;
  margin-top: 1vw;

  display: flex;
  gap: 4vw;

  height: 6vw;
  background-color: #ffffff;

  overflow: hidden;

  transition: height 0.5s;
  -webkit-transition: height 0.5s;
  transition: 0.5s;

  filter: grayscale(100%);

  align-items: center;
}
#project_image {
  width: 25vw;

  object-fit: cover;
}
#project:hover {
  height: 12vw;

  filter: grayscale(0%);
}
#line {
  margin-top: 1vw;
  display: block;
  height: 0.1vw;
  width: 100%;
  background-color: #1c1c1c;
}

.footer_grid {
  display: grid;

  grid-template-rows: 0.1vw 2vw 3vw 0.1vw 3vw 2vw;
  grid-template-columns: 1vw 1fr 1fr 1fr 1fr 1fr 1fr 1vw;

  gap: 1vh;
  height: 100%;

  max-width: 100%;

  background-color: #ffffff;
}
#footer_line_top {
  grid-column-start: 1;
  grid-column-end: 9;

  grid-row-start: 1;
  grid-row-end: 1;

  background-color: #1c1c1c;
}
#footer_name {
  grid-column-start: 2;
  grid-column-end: 9;

  grid-row-start: 3;
  grid-row-end: 3;
}
#footer_icons {
  grid-column-start: 7;
  grid-column-end: 8;

  grid-row-start: 3;
  grid-row-end: 3;
}
#footer_line {
  grid-column-start: 2;
  grid-column-end: 8;

  grid-row-start: 4;
  grid-row-end: 4;
  background-color: #1c1c1c;
}
#footer_text_one {
  grid-column-start: 2;
  grid-column-end: 3;

  grid-row-start: 5;
  grid-row-end: 5;

  z-index: 100;
}
#footer_text_two {
  grid-column-start: 3;
  grid-column-end: 4;

  grid-row-start: 5;
  grid-row-end: 5;
}
#footer_text_three {
  grid-column-start: 4;
  grid-column-end: 5;

  grid-row-start: 5;
  grid-row-end: 5;
}
#footer_text_four {
  grid-column-start: 5;
  grid-column-end: 6;

  grid-row-start: 5;
  grid-row-end: 5;
}

@media screen and (max-width: 700px) {


  .header_grid {
    display: grid;

    grid-template-rows: 1.1vw 4vw 1vw 0.2vw;
    grid-template-columns: 1vw 1fr 1fr 1fr 1fr 1fr 1fr 1vw;

    gap: 1vh;
    height: 100%;

    max-width: 100%;

    background-color: #ffffff;
    /* opacity: 90%; */
  }
  #menu_items {
    grid-column-start: 2;
    grid-column-end: 7;

    grid-row-start: 2;
    grid-row-end: 2;

    display: flex;
    gap: 1vw;
  }
  #menu_line {
    grid-column-start: 1;
    grid-column-end: 9;

    grid-row-start: 4;
    grid-row-end: 4;

    background-color: #1c1c1c;
  }
  #name {
    grid-column-start: 6;
    grid-column-end: 8;

    grid-row-start: 2;
    grid-row-end: 2;
  }

  .project_grid {
    display: block;
  }
  #project_header {
    display: block;
    height: 12vw;

    padding-left: 1vw;
    padding-top: 2vw;
  }
  #project {
    padding: 1vw;
    margin-top: 1vw;

    display: block;
    gap: 0;

    height: 68vw;
    background-color: #ffffff;

    filter: grayscale(0%);

    align-items: center;
  }
  #project:hover {
    height: 68vw;

    filter: grayscale(0%);
  }
  #project_image {
    width: 100%;
    height: 50vw;

    object-fit: cover;
    overflow: hidden;
  }
  #line {
    margin-top: 1vw;
    display: block;
    height: 0.2vw;
    width: 100%;
    background-color: #1c1c1c;
  }

  .footer_grid {
    display: grid;

    grid-template-rows: 2vw 30vw 0.6vw 4vw 4vw 4vw 4vw;
    grid-template-columns: 1vw 1fr 1fr 1fr 1vw;

    gap: 1vh;
    height: 100%;

    max-width: 100%;

    background-color: #ffffff;

    /* display: none; */
  }
  #footer_name {
    grid-column-start: 2;
    grid-column-end: 3;

    grid-row-start: 2;
    grid-row-end: 2;
  }
  #footer_icons {
    grid-column-start: 4;
    grid-column-end: 5;

    grid-row-start: 2;
    grid-row-end: 2;
  }
  #footer_line {
    grid-column-start: 2;
    grid-column-end: 8;

    grid-row-start: 3;
    grid-row-end: 3;
    background-color: #1c1c1c;
  }
  #footer_text_one {
    grid-column-start: 2;
    grid-column-end: 4;

    grid-row-start: 4;
    grid-row-end: 4;
  }
  #footer_text_two {
    grid-column-start: 2;
    grid-column-end: 4;

    grid-row-start: 5;
    grid-row-end: 5;
  }
  #footer_text_three {
    grid-column-start: 2;
    grid-column-end: 4;

    grid-row-start: 6;
    grid-row-end: 6;
  }
  #footer_text_four {
    grid-column-start: 2;
    grid-column-end: 4;

    grid-row-start: 7;
    grid-row-end: 7;
  }
}
